Index: squid/auth_modules/MSNT/confload.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/confload.c,v
retrieving revision 1.1.4.1
retrieving revision 1.1.4.1.2.1
diff -u -r1.1.4.1 -r1.1.4.1.2.1
--- squid/auth_modules/MSNT/confload.c	5 Nov 2000 13:42:35 -0000	1.1.4.1
+++ squid/auth_modules/MSNT/confload.c	7 Jan 2001 09:48:27 -0000	1.1.4.1.2.1
@@ -1,14 +1,14 @@
 
 /*
-  confload.c
-  (C) 2000 Antonino Iannella, Stellar-X Pty Ltd
-  Released under GPL, see COPYING-2.0 for details.
-
-  These routines load the msntauth configuration file.
-  It stores the servers to query, sets the denied and
-  allowed user files, and provides the 
-  authenticating function.
-*/
+ * confload.c
+ * (C) 2000 Antonino Iannella, Stellar-X Pty Ltd
+ * Released under GPL, see COPYING-2.0 for details.
+ * 
+ * These routines load the msntauth configuration file.
+ * It stores the servers to query, sets the denied and
+ * allowed user files, and provides the 
+ * authenticating function.
+ */
 
 #include <stdio.h>
 #include <stdlib.h>
@@ -17,234 +17,219 @@
 #include <errno.h>
 #include <sys/param.h>
 
-#define CONFIGFILE   "/usr/local/squid/etc/msntauth.conf"   /* Path to configuration file */
+#define CONFIGFILE   "/usr/local/squid/etc/msntauth.conf"	/* Path to configuration file */
 #define DENYUSERSDEFAULT   "/usr/local/squid/etc/denyusers"
 #define ALLOWUSERSDEFAULT  "/usr/local/squid/etc/allowusers"
 
-#define MAXSERVERS 5  /* Maximum number of servers to query. This number can be increased. */
+#define MAXSERVERS 5		/* Maximum number of servers to query. This number can be increased. */
 #define NTHOSTLEN 65
 
-extern char Denyuserpath[MAXPATHLEN];   /* MAXPATHLEN defined in param.h */
+extern char Denyuserpath[MAXPATHLEN];	/* MAXPATHLEN defined in param.h */
 extern char Allowuserpath[MAXPATHLEN];
 
-typedef struct _ServerTuple
-{
-  char pdc[NTHOSTLEN];
-  char bdc[NTHOSTLEN];
-  char domain[NTHOSTLEN];
+typedef struct _ServerTuple {
+    char pdc[NTHOSTLEN];
+    char bdc[NTHOSTLEN];
+    char domain[NTHOSTLEN];
 } ServerTuple;
 
-ServerTuple ServerArray[MAXSERVERS];            /* Array of servers to query */
-int Serversqueried = 0;                         /* Number of servers queried */
+ServerTuple ServerArray[MAXSERVERS];	/* Array of servers to query */
+int Serversqueried = 0;		/* Number of servers queried */
 
 /* Declarations */
 
-int  OpenConfigFile();
+int OpenConfigFile();
 void ProcessLine(char *);
 void AddServer(char *, char *, char *);
-int  QueryServers(char *, char *);
-int  QueryServerForUser(int, char *, char *);
-extern int Valid_User(char *,char *,char *,char *, char *);
+int QueryServers(char *, char *);
+int QueryServerForUser(int, char *, char *);
+extern int Valid_User(char *, char *, char *, char *, char *);
 
 
 /*
-  Opens and reads the configuration file.
-  Returns 0 on success, or 1 for error.
-*/
-
-int OpenConfigFile()
-{
-  FILE *ConfigFile;
-  char Confbuf[2049];                            /* Line reading buffer */
-
-  /* Initialise defaults */
+ * Opens and reads the configuration file.
+ * Returns 0 on success, or 1 for error.
+ */
+
+int 
+OpenConfigFile()
+{
+    FILE *ConfigFile;
+    char Confbuf[2049];		/* Line reading buffer */
+
+    /* Initialise defaults */
+
+    Serversqueried = 0;
+    strcpy(Denyuserpath, DENYUSERSDEFAULT);
+    strcpy(Allowuserpath, ALLOWUSERSDEFAULT);
+
+    /* Open file */
+    if ((ConfigFile = fopen(CONFIGFILE, "r")) == NULL) {
+	syslog(LOG_USER | LOG_ERR, "OpenConfigFile: Failed to open %s.", CONFIGFILE);
+	syslog(LOG_USER | LOG_ERR, strerror(errno));
+	return 1;
+    }
+    /* Read in, one line at a time */
 
-  Serversqueried = 0;
-  strcpy(Denyuserpath, DENYUSERSDEFAULT);
-  strcpy(Allowuserpath, ALLOWUSERSDEFAULT);
-
-  /* Open file */
-  if ((ConfigFile = fopen(CONFIGFILE, "r")) == NULL)
-  {
-     syslog(LOG_USER | LOG_ERR, "OpenConfigFile: Failed to open %s.", CONFIGFILE);
-     syslog(LOG_USER | LOG_ERR, strerror(errno));
-     return 1;
-  }
-
-  /* Read in, one line at a time */
-
-  while (!feof(ConfigFile))
-  {
-     Confbuf[0] = '\0';
-     fgets(Confbuf, 2049, ConfigFile);
-     ProcessLine(Confbuf);
-  }
-
-  /* Check that at least one server is being queried. Report error if not.
-     Denied and allowed user files are hardcoded, so it's fine if they're
-     not set in the confugration file. */
-
-  if (Serversqueried == 0)
-  {
-     syslog(LOG_USER | LOG_ERR, "OpenConfigFile: No servers set in %s. At least one is needed.", CONFIGFILE);
-     return 1;
-  }
+    while (!feof(ConfigFile)) {
+	Confbuf[0] = '\0';
+	fgets(Confbuf, 2049, ConfigFile);
+	ProcessLine(Confbuf);
+    }
 
-  fclose(ConfigFile);
-  return 0;
+    /* Check that at least one server is being queried. Report error if not.
+     * Denied and allowed user files are hardcoded, so it's fine if they're
+     * not set in the confugration file. */
+
+    if (Serversqueried == 0) {
+	syslog(LOG_USER | LOG_ERR, "OpenConfigFile: No servers set in %s. At least one is needed.", CONFIGFILE);
+	return 1;
+    }
+    fclose(ConfigFile);
+    return 0;
 }
 
 /* Parses a configuration file line. */
 
-void ProcessLine(char *Linebuf)
+void 
+ProcessLine(char *Linebuf)
 {
-  char *Directive;
-  char *Param1;
-  char *Param2;
-  char *Param3;
-
-  /* Ignore empty lines */
-  if (strlen(Linebuf) == 0)
-     return;
-
-  /* Break up on whitespaces */
-  if ((Directive = strtok(Linebuf, " \t\n")) == NULL)
-     return;
- 
-  /* Check for a comment line. If found, stop . */
-  if (Directive[0] == '#')
-     return;
-
-  /* Check for server line. Check for 3 parameters. */
-  if (strcasecmp(Directive, "server") == 0)
-  {
-     Param1 = strtok(NULL, " \t\n");
-     Param2 = strtok(NULL, " \t\n");
-     Param3 = strtok(NULL, " \t\n");
-
-     if ((Param1[0] == '\0') ||
-         (Param2[0] == '\0') ||
-         (Param3[0] == '\0'))
-     {
-        syslog(LOG_USER | LOG_ERR, "ProcessLine: A 'server' line needs PDC, BDC, and domain parameters.");
-        return;
-     }
-
-     AddServer(Param1, Param2, Param3); 
-     return;
-  }
-
-  /* Check for denyusers line */
-  if (strcasecmp(Directive, "denyusers") == 0)
-  {
-     Param1 = strtok(NULL, " \t\n");
-
-     if (Param1[0] == '\0')
-     {
-        syslog(LOG_USER | LOG_ERR, "ProcessLine: A 'denyusers' line needs a filename parameter.");
-        return;
-     }
-
-     strcpy(Denyuserpath, Param1);
-     return;
-  }
-
-  /* Check for allowusers line */
-  if (strcasecmp(Directive, "allowusers") == 0)
-  {
-     Param1 = strtok(NULL, " \t\n");
-
-     if (Param1[0] == '\0')
-     {
-        syslog(LOG_USER | LOG_ERR, "ProcessLine: An 'allowusers' line needs a filename parameter.");
-        return;
-     }
-
-     strcpy(Allowuserpath, Param1);
-     return;
-  }
-
-  /* Reports error for unknown line */
-  syslog(LOG_USER | LOG_ERR, "ProcessLine: Ignoring '%s' line.", Directive);
+    char *Directive;
+    char *Param1;
+    char *Param2;
+    char *Param3;
+
+    /* Ignore empty lines */
+    if (strlen(Linebuf) == 0)
+	return;
+
+    /* Break up on whitespaces */
+    if ((Directive = strtok(Linebuf, " \t\n")) == NULL)
+	return;
+
+    /* Check for a comment line. If found, stop . */
+    if (Directive[0] == '#')
+	return;
+
+    /* Check for server line. Check for 3 parameters. */
+    if (strcasecmp(Directive, "server") == 0) {
+	Param1 = strtok(NULL, " \t\n");
+	Param2 = strtok(NULL, " \t\n");
+	Param3 = strtok(NULL, " \t\n");
+
+	if ((Param1[0] == '\0') ||
+	    (Param2[0] == '\0') ||
+	    (Param3[0] == '\0')) {
+	    syslog(LOG_USER | LOG_ERR, "ProcessLine: A 'server' line needs PDC, BDC, and domain parameters.");
+	    return;
+	}
+	AddServer(Param1, Param2, Param3);
+	return;
+    }
+    /* Check for denyusers line */
+    if (strcasecmp(Directive, "denyusers") == 0) {
+	Param1 = strtok(NULL, " \t\n");
+
+	if (Param1[0] == '\0') {
+	    syslog(LOG_USER | LOG_ERR, "ProcessLine: A 'denyusers' line needs a filename parameter.");
+	    return;
+	}
+	strcpy(Denyuserpath, Param1);
+	return;
+    }
+    /* Check for allowusers line */
+    if (strcasecmp(Directive, "allowusers") == 0) {
+	Param1 = strtok(NULL, " \t\n");
+
+	if (Param1[0] == '\0') {
+	    syslog(LOG_USER | LOG_ERR, "ProcessLine: An 'allowusers' line needs a filename parameter.");
+	    return;
+	}
+	strcpy(Allowuserpath, Param1);
+	return;
+    }
+    /* Reports error for unknown line */
+    syslog(LOG_USER | LOG_ERR, "ProcessLine: Ignoring '%s' line.", Directive);
 }
 
 /*
-  Adds a server to query to the server array.
-  Checks if the number of servers to query is not exceeded.
-  Does not allow parameters longer than NTHOSTLEN.
-*/
-
-void AddServer(char *ParamPDC, char *ParamBDC, char *ParamDomain)
-{
-  if (Serversqueried + 1 > MAXSERVERS)
-  {
-     syslog(LOG_USER | LOG_ERR, "ProcessLine: Ignoring '%s' server line; too many servers.", ParamPDC);
-     return;
-  }
-
- Serversqueried++;
- strncpy(ServerArray[Serversqueried].pdc, ParamPDC, NTHOSTLEN); 
- strncpy(ServerArray[Serversqueried].bdc, ParamBDC, NTHOSTLEN); 
- strncpy(ServerArray[Serversqueried].domain, ParamDomain, NTHOSTLEN); 
- ServerArray[Serversqueried].pdc[NTHOSTLEN - 1] = '\0';
- ServerArray[Serversqueried].bdc[NTHOSTLEN - 1] = '\0';
- ServerArray[Serversqueried].domain[NTHOSTLEN - 1] = '\0';
+ * Adds a server to query to the server array.
+ * Checks if the number of servers to query is not exceeded.
+ * Does not allow parameters longer than NTHOSTLEN.
+ */
+
+void 
+AddServer(char *ParamPDC, char *ParamBDC, char *ParamDomain)
+{
+    if (Serversqueried + 1 > MAXSERVERS) {
+	syslog(LOG_USER | LOG_ERR, "ProcessLine: Ignoring '%s' server line; too many servers.", ParamPDC);
+	return;
+    }
+    Serversqueried++;
+    strncpy(ServerArray[Serversqueried].pdc, ParamPDC, NTHOSTLEN);
+    strncpy(ServerArray[Serversqueried].bdc, ParamBDC, NTHOSTLEN);
+    strncpy(ServerArray[Serversqueried].domain, ParamDomain, NTHOSTLEN);
+    ServerArray[Serversqueried].pdc[NTHOSTLEN - 1] = '\0';
+    ServerArray[Serversqueried].bdc[NTHOSTLEN - 1] = '\0';
+    ServerArray[Serversqueried].domain[NTHOSTLEN - 1] = '\0';
 }
 
 /*
-  Cycles through all servers to query.
-  Returns 0 if one server could authenticate the user.
-  Returns 1 if no server authenticated the user.
-*/
-
-int QueryServers(char *username, char *password)
-{
-  int Queryresult = 1;          /* Default result is an error */
-  int x = 1;
-
-  while (x <= Serversqueried)
-  { /* Query one server. Change Queryresult if user passed. */
-    if (QueryServerForUser(x++, username, password) == 0)
-    {
-       Queryresult = 0;
-       break;
+ * Cycles through all servers to query.
+ * Returns 0 if one server could authenticate the user.
+ * Returns 1 if no server authenticated the user.
+ */
+
+int 
+QueryServers(char *username, char *password)
+{
+    int Queryresult = 1;	/* Default result is an error */
+    int x = 1;
+
+    while (x <= Serversqueried) {	/* Query one server. Change Queryresult if user passed. */
+	if (QueryServerForUser(x++, username, password) == 0) {
+	    Queryresult = 0;
+	    break;
+	}
     }
-  }
 
-  return Queryresult;
+    return Queryresult;
 }
 
 /*
-  Attempts to authenticate the user with one server.
-  Logs syslog messages for different errors.
-  Returns 0 on success, non-zero on failure.
-*/
-
-int QueryServerForUser(int x, char *username, char *password)
-{
-  int result = 1;
-
-  result = Valid_User(username, password, ServerArray[x].pdc,
-                      ServerArray[x].bdc, ServerArray[x].domain);
-
-  switch (result)        /* Write any helpful syslog messages */
-  {
-    case 0 : break;
-    case 1 : syslog(LOG_AUTHPRIV | LOG_INFO, "Server error when checking %s.", username);
-             break;
-    case 2 : syslog(LOG_AUTHPRIV | LOG_INFO, "Protocol error when checking %s.", username);
-             break;
-    case 3 : syslog(LOG_AUTHPRIV | LOG_INFO, "Authentication failed for %s.", username);
-  }
+ * Attempts to authenticate the user with one server.
+ * Logs syslog messages for different errors.
+ * Returns 0 on success, non-zero on failure.
+ */
+
+int 
+QueryServerForUser(int x, char *username, char *password)
+{
+    int result = 1;
+
+    result = Valid_User(username, password, ServerArray[x].pdc,
+	ServerArray[x].bdc, ServerArray[x].domain);
+
+    switch (result) {		/* Write any helpful syslog messages */
+    case 0:
+	break;
+    case 1:
+	syslog(LOG_AUTHPRIV | LOG_INFO, "Server error when checking %s.", username);
+	break;
+    case 2:
+	syslog(LOG_AUTHPRIV | LOG_INFO, "Protocol error when checking %s.", username);
+	break;
+    case 3:
+	syslog(LOG_AUTHPRIV | LOG_INFO, "Authentication failed for %s.", username);
+    }
 
-  return result;
+    return result;
 }
 
 /* Valid_User return codes -
-
-   0 - User authenticated successfully.
-   1 - Server error.
-   2 - Protocol error.
-   3 - Logon error; Incorrect password or username given.
-*/
-
+ * 
+ * 0 - User authenticated successfully.
+ * 1 - Server error.
+ * 2 - Protocol error.
+ * 3 - Logon error; Incorrect password or username given.
+ */
Index: squid/auth_modules/MSNT/md4.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/md4.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/auth_modules/MSNT/md4.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/md4.c	7 Jan 2001 09:48:27 -0000	1.1.1.1.26.1
@@ -1,53 +1,57 @@
 /* 
-   Unix SMB/Netbios implementation.
-   Version 1.9.
-   a implementation of MD4 designed for use in the SMB authentication protocol
-   Copyright (C) Andrew Tridgell 1997
-   
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * Unix SMB/Netbios implementation.
+ * Version 1.9.
+ * a implementation of MD4 designed for use in the SMB authentication protocol
+ * Copyright (C) Andrew Tridgell 1997
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 
 /* NOTE: This code makes no attempt to be fast! 
-
-   It assumes that a int is at least 32 bits long
-*/
+ * 
+ * It assumes that a int is at least 32 bits long
+ */
 
 typedef unsigned int uint32;
 
 static uint32 A, B, C, D;
 
-static uint32 F(uint32 X, uint32 Y, uint32 Z)
+static uint32 
+F(uint32 X, uint32 Y, uint32 Z)
 {
-	return (X&Y) | ((~X)&Z);
+    return (X & Y) | ((~X) & Z);
 }
 
-static uint32 G(uint32 X, uint32 Y, uint32 Z)
+static uint32 
+G(uint32 X, uint32 Y, uint32 Z)
 {
-	return (X&Y) | (X&Z) | (Y&Z); 
+    return (X & Y) | (X & Z) | (Y & Z);
 }
 
-static uint32 H(uint32 X, uint32 Y, uint32 Z)
+static uint32 
+H(uint32 X, uint32 Y, uint32 Z)
 {
-	return X^Y^Z;
+    return X ^ Y ^ Z;
 }
 
-static uint32 lshift(uint32 x, int s)
+static uint32 
+lshift(uint32 x, int s)
 {
-	x &= 0xFFFFFFFF;
-	return ((x<<s)&0xFFFFFFFF) | (x>>(32-s));
+    x &= 0xFFFFFFFF;
+    return ((x << s) & 0xFFFFFFFF) | (x >> (32 - s));
 }
 
 #define ROUND1(a,b,c,d,k,s) a = lshift(a + F(b,c,d) + X[k], s)
@@ -55,117 +59,151 @@
 #define ROUND3(a,b,c,d,k,s) a = lshift(a + H(b,c,d) + X[k] + (uint32)0x6ED9EBA1,s)
 
 /* this applies md4 to 64 byte chunks */
-static void mdfour64(uint32 *M)
+static void 
+mdfour64(uint32 * M)
 {
-	int j;
-	uint32 AA, BB, CC, DD;
-	uint32 X[16];
-
-	for (j=0;j<16;j++)
-		X[j] = M[j];
-
-	AA = A; BB = B; CC = C; DD = D;
-
-        ROUND1(A,B,C,D,  0,  3);  ROUND1(D,A,B,C,  1,  7);  
-	ROUND1(C,D,A,B,  2, 11);  ROUND1(B,C,D,A,  3, 19);
-        ROUND1(A,B,C,D,  4,  3);  ROUND1(D,A,B,C,  5,  7);  
-	ROUND1(C,D,A,B,  6, 11);  ROUND1(B,C,D,A,  7, 19);
-        ROUND1(A,B,C,D,  8,  3);  ROUND1(D,A,B,C,  9,  7);  
-	ROUND1(C,D,A,B, 10, 11);  ROUND1(B,C,D,A, 11, 19);
-        ROUND1(A,B,C,D, 12,  3);  ROUND1(D,A,B,C, 13,  7);  
-	ROUND1(C,D,A,B, 14, 11);  ROUND1(B,C,D,A, 15, 19);	
-
-        ROUND2(A,B,C,D,  0,  3);  ROUND2(D,A,B,C,  4,  5);  
-	ROUND2(C,D,A,B,  8,  9);  ROUND2(B,C,D,A, 12, 13);
-        ROUND2(A,B,C,D,  1,  3);  ROUND2(D,A,B,C,  5,  5);  
-	ROUND2(C,D,A,B,  9,  9);  ROUND2(B,C,D,A, 13, 13);
-        ROUND2(A,B,C,D,  2,  3);  ROUND2(D,A,B,C,  6,  5);  
-	ROUND2(C,D,A,B, 10,  9);  ROUND2(B,C,D,A, 14, 13);
-        ROUND2(A,B,C,D,  3,  3);  ROUND2(D,A,B,C,  7,  5);  
-	ROUND2(C,D,A,B, 11,  9);  ROUND2(B,C,D,A, 15, 13);
-
-	ROUND3(A,B,C,D,  0,  3);  ROUND3(D,A,B,C,  8,  9);  
-	ROUND3(C,D,A,B,  4, 11);  ROUND3(B,C,D,A, 12, 15);
-        ROUND3(A,B,C,D,  2,  3);  ROUND3(D,A,B,C, 10,  9);  
-	ROUND3(C,D,A,B,  6, 11);  ROUND3(B,C,D,A, 14, 15);
-        ROUND3(A,B,C,D,  1,  3);  ROUND3(D,A,B,C,  9,  9);  
-	ROUND3(C,D,A,B,  5, 11);  ROUND3(B,C,D,A, 13, 15);
-        ROUND3(A,B,C,D,  3,  3);  ROUND3(D,A,B,C, 11,  9);  
-	ROUND3(C,D,A,B,  7, 11);  ROUND3(B,C,D,A, 15, 15);
-
-	A += AA; B += BB; C += CC; D += DD;
-	
-	A &= 0xFFFFFFFF; B &= 0xFFFFFFFF;
-	C &= 0xFFFFFFFF; D &= 0xFFFFFFFF;
-
-	for (j=0;j<16;j++)
-		X[j] = 0;
-}
-
-static void copy64(uint32 *M, unsigned char *in)
-{
-	int i;
-
-	for (i=0;i<16;i++)
-		M[i] = (in[i*4+3]<<24) | (in[i*4+2]<<16) |
-			(in[i*4+1]<<8) | (in[i*4+0]<<0);
-}
-
-static void copy4(unsigned char *out,uint32 x)
-{
-	out[0] = x&0xFF;
-	out[1] = (x>>8)&0xFF;
-	out[2] = (x>>16)&0xFF;
-	out[3] = (x>>24)&0xFF;
+    int j;
+    uint32 AA, BB, CC, DD;
+    uint32 X[16];
+
+    for (j = 0; j < 16; j++)
+	X[j] = M[j];
+
+    AA = A;
+    BB = B;
+    CC = C;
+    DD = D;
+
+    ROUND1(A, B, C, D, 0, 3);
+    ROUND1(D, A, B, C, 1, 7);
+    ROUND1(C, D, A, B, 2, 11);
+    ROUND1(B, C, D, A, 3, 19);
+    ROUND1(A, B, C, D, 4, 3);
+    ROUND1(D, A, B, C, 5, 7);
+    ROUND1(C, D, A, B, 6, 11);
+    ROUND1(B, C, D, A, 7, 19);
+    ROUND1(A, B, C, D, 8, 3);
+    ROUND1(D, A, B, C, 9, 7);
+    ROUND1(C, D, A, B, 10, 11);
+    ROUND1(B, C, D, A, 11, 19);
+    ROUND1(A, B, C, D, 12, 3);
+    ROUND1(D, A, B, C, 13, 7);
+    ROUND1(C, D, A, B, 14, 11);
+    ROUND1(B, C, D, A, 15, 19);
+
+    ROUND2(A, B, C, D, 0, 3);
+    ROUND2(D, A, B, C, 4, 5);
+    ROUND2(C, D, A, B, 8, 9);
+    ROUND2(B, C, D, A, 12, 13);
+    ROUND2(A, B, C, D, 1, 3);
+    ROUND2(D, A, B, C, 5, 5);
+    ROUND2(C, D, A, B, 9, 9);
+    ROUND2(B, C, D, A, 13, 13);
+    ROUND2(A, B, C, D, 2, 3);
+    ROUND2(D, A, B, C, 6, 5);
+    ROUND2(C, D, A, B, 10, 9);
+    ROUND2(B, C, D, A, 14, 13);
+    ROUND2(A, B, C, D, 3, 3);
+    ROUND2(D, A, B, C, 7, 5);
+    ROUND2(C, D, A, B, 11, 9);
+    ROUND2(B, C, D, A, 15, 13);
+
+    ROUND3(A, B, C, D, 0, 3);
+    ROUND3(D, A, B, C, 8, 9);
+    ROUND3(C, D, A, B, 4, 11);
+    ROUND3(B, C, D, A, 12, 15);
+    ROUND3(A, B, C, D, 2, 3);
+    ROUND3(D, A, B, C, 10, 9);
+    ROUND3(C, D, A, B, 6, 11);
+    ROUND3(B, C, D, A, 14, 15);
+    ROUND3(A, B, C, D, 1, 3);
+    ROUND3(D, A, B, C, 9, 9);
+    ROUND3(C, D, A, B, 5, 11);
+    ROUND3(B, C, D, A, 13, 15);
+    ROUND3(A, B, C, D, 3, 3);
+    ROUND3(D, A, B, C, 11, 9);
+    ROUND3(C, D, A, B, 7, 11);
+    ROUND3(B, C, D, A, 15, 15);
+
+    A += AA;
+    B += BB;
+    C += CC;
+    D += DD;
+
+    A &= 0xFFFFFFFF;
+    B &= 0xFFFFFFFF;
+    C &= 0xFFFFFFFF;
+    D &= 0xFFFFFFFF;
+
+    for (j = 0; j < 16; j++)
+	X[j] = 0;
+}
+
+static void 
+copy64(uint32 * M, unsigned char *in)
+{
+    int i;
+
+    for (i = 0; i < 16; i++)
+	M[i] = (in[i * 4 + 3] << 24) | (in[i * 4 + 2] << 16) |
+	    (in[i * 4 + 1] << 8) | (in[i * 4 + 0] << 0);
+}
+
+static void 
+copy4(unsigned char *out, uint32 x)
+{
+    out[0] = x & 0xFF;
+    out[1] = (x >> 8) & 0xFF;
+    out[2] = (x >> 16) & 0xFF;
+    out[3] = (x >> 24) & 0xFF;
 }
 
 /* produce a md4 message digest from data of length n bytes */
-void mdfour(unsigned char *out, unsigned char *in, int n)
+void 
+mdfour(unsigned char *out, unsigned char *in, int n)
 {
-	unsigned char buf[128];
-	uint32 M[16];
-	uint32 b = n * 8;
-	int i;
-
-	A = 0x67452301;
-	B = 0xefcdab89;
-	C = 0x98badcfe;
-	D = 0x10325476;
-
-	while (n > 64) {
-		copy64(M, in);
-		mdfour64(M);
-		in += 64;
-		n -= 64;
-	}
-
-	for (i=0;i<128;i++)
-		buf[i] = 0;
-	memcpy(buf, in, n);
-	buf[n] = 0x80;
-	
-	if (n <= 55) {
-		copy4(buf+56, b);
-		copy64(M, buf);
-		mdfour64(M);
-	} else {
-		copy4(buf+120, b); 
-		copy64(M, buf);
-		mdfour64(M);
-		copy64(M, buf+64);
-		mdfour64(M);
-	}
+    unsigned char buf[128];
+    uint32 M[16];
+    uint32 b = n * 8;
+    int i;
+
+    A = 0x67452301;
+    B = 0xefcdab89;
+    C = 0x98badcfe;
+    D = 0x10325476;
+
+    while (n > 64) {
+	copy64(M, in);
+	mdfour64(M);
+	in += 64;
+	n -= 64;
+    }
+
+    for (i = 0; i < 128; i++)
+	buf[i] = 0;
+    memcpy(buf, in, n);
+    buf[n] = 0x80;
 
-	for (i=0;i<128;i++)
-		buf[i] = 0;
+    if (n <= 55) {
+	copy4(buf + 56, b);
 	copy64(M, buf);
+	mdfour64(M);
+    } else {
+	copy4(buf + 120, b);
+	copy64(M, buf);
+	mdfour64(M);
+	copy64(M, buf + 64);
+	mdfour64(M);
+    }
+
+    for (i = 0; i < 128; i++)
+	buf[i] = 0;
+    copy64(M, buf);
+
+    copy4(out, A);
+    copy4(out + 4, B);
+    copy4(out + 8, C);
+    copy4(out + 12, D);
 
-	copy4(out, A);
-	copy4(out+4, B);
-	copy4(out+8, C);
-	copy4(out+12, D);
-
-	A = B = C = D = 0;
+    A = B = C = D = 0;
 }
-
-
Index: squid/auth_modules/MSNT/msntauth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/msntauth.c,v
retrieving revision 1.1.4.1
retrieving revision 1.1.4.1.2.1
diff -u -r1.1.4.1 -r1.1.4.1.2.1
--- squid/auth_modules/MSNT/msntauth.c	5 Nov 2000 13:42:35 -0000	1.1.4.1
+++ squid/auth_modules/MSNT/msntauth.c	7 Jan 2001 09:48:27 -0000	1.1.4.1.2.1
@@ -1,121 +1,114 @@
 
 /*
-  MSNT - Microsoft Windows NT domain squid authenticator module
-  Version 1.2 by Stellar-X Pty Ltd, Antonino Iannella
-  Fri Sep 22 00:56:05 CST 2000
-
-  Modified to act as a Squid authenticator module.
-  Removed all Pike stuff.
-  Returns OK for a successful authentication, or ERR upon error.
-
-  Uses code from -
-    Andrew Tridgell 1997
-    Richard Sharpe 1996
-    Bill Welliver 1999
-    Duane Wessels 2000
-
-  Released under GNU Public License
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * MSNT - Microsoft Windows NT domain squid authenticator module
+ * Version 1.2 by Stellar-X Pty Ltd, Antonino Iannella
+ * Fri Sep 22 00:56:05 CST 2000
+ * 
+ * Modified to act as a Squid authenticator module.
+ * Removed all Pike stuff.
+ * Returns OK for a successful authentication, or ERR upon error.
+ * 
+ * Uses code from -
+ * Andrew Tridgell 1997
+ * Richard Sharpe 1996
+ * Bill Welliver 1999
+ * Duane Wessels 2000
+ * 
+ * Released under GNU Public License
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #include <stdio.h>
 #include <signal.h>
 #include <syslog.h>
 #include <sys/time.h>
 
-extern int  OpenConfigFile();
-extern int  QueryServers(char *, char *);
+extern int OpenConfigFile();
+extern int QueryServers(char *, char *);
 extern void Checktimer();
 extern void Check_forchange();
-extern int  Read_denyusers(void);
-extern int  Read_allowusers(void);
-extern int  Check_user(char *);
+extern int Read_denyusers(void);
+extern int Read_allowusers(void);
+extern int Check_user(char *);
 
 /* Main program for simple authentication.
-   Reads the denied user file. Sets alarm timer.
-   Scans and checks for Squid input, and attempts to validate the user.
-*/
+ * Reads the denied user file. Sets alarm timer.
+ * Scans and checks for Squid input, and attempts to validate the user.
+ */
 
-int main()
+int 
+main()
 {
-  char username[256];
-  char password[256];
-  char wstr[256];
-
-  /* Read configuration file. Abort wildly if error. */
-  if (OpenConfigFile() == 1)
-     return 1;
-
-  /* Read denied and allowed user files.
-     If they fails, there is a serious problem.
-     Check syslog messages. Deny all users while in this state.
-     The msntauth process should then be killed. */
-
-  if ((Read_denyusers() == 1) || (Read_allowusers() == 1))
-  {
-     while (1)
-     {
-       fgets(wstr, 255, stdin);
-       puts("ERR");
-       fflush(stdout);
-     }
-  }
-
-  /* Make Check_forchange() the handle for HUP signals.
-     Don't use alarms any more. I don't think it was very
-     portable between systems. */
-  signal(SIGHUP, Check_forchange);
-
-  while (1)
-  {
-    /* Read whole line from standard input. Terminate on break. */
-    if (fgets(wstr, 255, stdin) == NULL)    
-       break;
-
-    /* Clear any current settings */
-    username[0] = '\0';
-    password[0] = '\0';
-    sscanf(wstr, "%s %s", username, password);     /* Extract parameters */
-
-    /* Check for invalid or blank entries */
-    if ((username[0] == '\0') || (password[0] == '\0'))
-    {
-       puts("ERR");
-       fflush(stdout);
-       continue;
+    char username[256];
+    char password[256];
+    char wstr[256];
+
+    /* Read configuration file. Abort wildly if error. */
+    if (OpenConfigFile() == 1)
+	return 1;
+
+    /* Read denied and allowed user files.
+     * If they fails, there is a serious problem.
+     * Check syslog messages. Deny all users while in this state.
+     * The msntauth process should then be killed. */
+
+    if ((Read_denyusers() == 1) || (Read_allowusers() == 1)) {
+	while (1) {
+	    fgets(wstr, 255, stdin);
+	    puts("ERR");
+	    fflush(stdout);
+	}
     }
+    /* Make Check_forchange() the handle for HUP signals.
+     * Don't use alarms any more. I don't think it was very
+     * portable between systems. */
+    signal(SIGHUP, Check_forchange);
+
+    while (1) {
+	/* Read whole line from standard input. Terminate on break. */
+	if (fgets(wstr, 255, stdin) == NULL)
+	    break;
+
+	/* Clear any current settings */
+	username[0] = '\0';
+	password[0] = '\0';
+	sscanf(wstr, "%s %s", username, password);	/* Extract parameters */
+
+	/* Check for invalid or blank entries */
+	if ((username[0] == '\0') || (password[0] == '\0')) {
+	    puts("ERR");
+	    fflush(stdout);
+	    continue;
+	}
+	Checktimer();		/* Check if the user lists have changed */
+
+	/* Check if user is explicitly denied or allowed.
+	 * If user passes both checks, they can be authenticated. */
+
+	if (Check_user(username) == 1)
+	    puts("ERR");
+	else {
+	    if (QueryServers(username, password) == 0)
+		puts("OK");
+	    else
+		puts("ERR");
+	}
 
-    Checktimer();                /* Check if the user lists have changed */
-
-    /* Check if user is explicitly denied or allowed.
-       If user passes both checks, they can be authenticated. */
-
-    if (Check_user(username) == 1)
-       puts("ERR");
-    else
-    {
-       if (QueryServers(username, password) == 0)
-          puts("OK");
-       else
-          puts("ERR");
+	fflush(stdout);
     }
 
-    fflush(stdout);
-  }
-  
-  return 0;
+    return 0;
 }
-
Index: squid/auth_modules/MSNT/rfcnb-common.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/rfcnb-common.h,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/rfcnb-common.h	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/rfcnb-common.h	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -1,27 +1,27 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
-   Version 1.0
-   RFCNB Common Structures etc Defines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * RFCNB Common Structures etc Defines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #ifndef _RFCNB_COMMON_H_
 #define _RFCNB_COMMON_H_
@@ -30,9 +30,9 @@
 
 typedef struct RFCNB_Pkt {
 
-  char * data;			/* The data in this portion */
-  int len;
-  struct RFCNB_Pkt *next;
+    char *data;			/* The data in this portion */
+    int len;
+    struct RFCNB_Pkt *next;
 
 } RFCNB_Pkt;
 
